import { Events, VoiceState } from 'discord.js';
import { VoiceService } from '../services/VoiceService';

export default {
  name: Events.VoiceStateUpdate,
  once: false,
  async execute(oldState: VoiceState, newState: VoiceState) {
    await VoiceService.handleVoiceStateUpdate(oldState, newState);
  },
};
